{*******************************************************************************
  TdbMessages
  Messages for TurboDB.
  Copyright (c) 2000-2001, by dataWeb GmbH, Aicha, Germany
*******************************************************************************}
unit TdbMessages;

interface

{$ifndef ENGLISH}
{$ifndef GERMAN}
{$define ENGLISH}
{$endif}
{$endif}
        
{*******************************************************************************
  Engine
*******************************************************************************}

resourcestring
	{$ifdef ENGLISH}
  SUnknownErrorTdbEng = 'Unknown error';
  {$endif}
  {$ifdef GERMAN}
  SUnknownErrorTdbEng = 'Unbekannter Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SNoError = 'No error';
  {$endif}
  {$ifdef GERMAN}
  SNoError = 'Kein Fehler';
  {$endif}

	{$ifdef ENGLISH}
  SOutOfMemory = 'Out of memory';
  {$endif}
  {$ifdef GERMAN}
  SOutOfMemory = 'Zuwenig Speicher';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenModule = 'Cannot not open module';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenModule = 'Modul kann nicht geffnet werden';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidRecord = 'Record is invalid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidRecord = 'Ungltiger Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidExpression = 'Invalid expression';
  {$endif}
  {$ifdef GERMAN}
  SInvalidExpression = 'Ungltiger Ausdruck';
  {$endif}

	{$ifdef ENGLISH}
  SUnknownColumn = 'Unknown table column';
  {$endif}
  {$ifdef GERMAN}
  SUnknownColumn = 'Unbekannte Tabellenspalte';
  {$endif}

  {$ifdef ENGLISH}
  SRecordDoesntExist = 'The record does not exist';
  {$endif}
  {$ifdef GERMAN}
  SRecordDoesntExist = 'Datensatz existiert nicht';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidPassword = 'Invalid password';
  {$endif}
  {$ifdef GERMAN}
  SInvalidPassword = 'Ungltiges Passwort';
  {$endif}

  {$ifdef ENGLISH}
  SCouldNotCreateRelation = 'Could not create relation';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotCreateRelation = 'Relation kann nicht erzeugt werden';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidAccess = 'Invalid access';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAccess = 'Ungltiger Zugriff';
  {$endif}

  {$ifdef ENGLISH}
  SIndexDoesNotExist = 'The index given does not exist';
  {$endif}
  {$ifdef GERMAN}
  SIndexDoesNotExist = 'Der angegebene Index existiert nicht';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidRelationHandle = 'Invalid relation handle';
  {$endif}
  {$ifdef GERMAN}
  SInvalidRelationHandle = 'Ungltiger Relation Handle';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidIndexDefinition = 'Invalid index definition';
  {$endif}
  {$ifdef GERMAN}
  SInvalidIndexDefinition = 'Ungltige Index Definition';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidContextForFunction = 'Function can not be called in this context';
  {$endif}
  {$ifdef GERMAN}
  SInvalidContextForFunction = 'Die Funktion kann in diesem Kontext nicht aufgerufen werden';
  {$endif}

  {$ifdef ENGLISH}
  SCouldNotDeleteRecord = 'Could not delete record';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotDeleteRecord = 'Kann Datensatz nicht lschen';
  {$endif}

	{$ifdef ENGLISH}
  SRestructuringFailed = 'Restructuring relation failed';
  {$endif}
  {$ifdef GERMAN}
  SRestructuringFailed = 'Restrukturierung der Relation fehlgeschlagen';
  {$endif}

  {$ifdef ENGLISH}
  SRelationHasNoRecordId = 'Relation does not have a record id column';
  {$endif}
  {$ifdef GERMAN}
  SRelationHasNoRecordId = 'Die Relation verfgt ber keine RecordId Spalte';
  {$endif}

	{$ifdef ENGLISH}
  SIncorrectTypeForColumn = 'Column has not the correct data type';
  {$endif}
  {$ifdef GERMAN}
  SIncorrectTypeForColumn = 'Spalte hat nicht den korrekten Datentyp';
  {$endif}

  {$ifdef ENGLISH}
  SCouldNotWriteRecord = 'Could not write record to table';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotWriteRecord = 'Kann Datensatz nicht in die Tabelle schreiben';
  {$endif}

	{$ifdef ENGLISH}
  SKeyViolation = 'Record hurts index uniqueness';
  {$endif}
  {$ifdef GERMAN}
  SKeyViolation = 'Datensatz verstt gegen eindeutigen index';
  {$endif}

  {$ifdef ENGLISH}
  SIndexInUse = 'The index is still in use';
  {$endif}
  {$ifdef GERMAN}
  SIndexInUse = 'Der Index wird noch benutzt';
  {$endif}

	{$ifdef ENGLISH}
  SRelationIsReadOnly = 'The relation is read only';
  {$endif}
  {$ifdef GERMAN}
  SRelationIsReadOnly = 'Die Relation ist nur zum Lesen geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SRecordLockedByApplication = 'The record is locked by another application';
  {$endif}
  {$ifdef GERMAN}
  SRecordLockedByApplication = 'Der Datensatz ist von einer anderen Anwendung gesperrt';
  {$endif}

	{$ifdef ENGLISH}
  SIndexNotAvailable = 'Index is not available';
  {$endif}
  {$ifdef GERMAN}
  SIndexNotAvailable = 'Index nicht verfgbar';
  {$endif}

  {$ifdef ENGLISH}
  SRecordIsNull = 'Record is null';
  {$endif}
  {$ifdef GERMAN}
  SRecordIsNull = 'Datensatz ist Null';
  {$endif}

	{$ifdef ENGLISH}
  SRecordUnchanged = 'Record is unchanged';
  {$endif}
  {$ifdef GERMAN}
  SRecordUnchanged = 'Der Datensatz wurde nicht gendert';
  {$endif}

  {$ifdef ENGLISH}
  SODBCNotSupportedByThisEdition = 'This edition does not support ODBC';
  {$endif}
  {$ifdef GERMAN}
  SODBCNotSupportedByThisEdition = 'Diese Edition untersttzt ODBC nicht';
  {$endif}

	{$ifdef ENGLISH}
  SProcedureNotExists = 'The procedure does not exist';
  {$endif}
  {$ifdef GERMAN}
  SProcedureNotExists = 'Die Prozedur existiert nicht';
  {$endif}

  {$ifdef ENGLISH}
  SModuleNotExist = 'The module does not exist';
  {$endif}
  {$ifdef GERMAN}
  SModuleNotExist = 'Das Modul existiert nicht';
  {$endif}

	{$ifdef ENGLISH}
  SProcedureDoesAlreadyExist = 'The procedure already exists';
  {$endif}
  {$ifdef GERMAN}
  SProcedureDoesAlreadyExist = 'Die Prozedur existiert bereits';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTurboDBIdentifier = 'The identifier is not a valid TurboDB identifier';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTurboDBIdentifier = 'Der Bezeichner ist kein gltiger TurboDB Bezeichner';
  {$endif}

	{$ifdef ENGLISH}
  SSearchConditionInvalid = 'Search-condition is invalid';
  {$endif}
  {$ifdef GERMAN}
  SSearchConditionInvalid = 'Ungltige Suchbedingung';
  {$endif}

  {$ifdef ENGLISH}
  SRelationAlreadyOpen = 'The relation is already open';
  {$endif}
  {$ifdef GERMAN}
  SRelationAlreadyOpen = 'Die Relation ist bereits geffnet';
  {$endif}

	{$ifdef ENGLISH}
  SInvalidQuery = 'The query is not valid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidQuery = 'Die Query ist nicht gltig';
  {$endif}

  {$ifdef ENGLISH}
  SRelationIsAlreadyLocked = 'Relation is already locked';
  {$endif}
  {$ifdef GERMAN}
  SRelationIsAlreadyLocked = 'Die Relation ist bereits gesperrt';
  {$endif}

	{$ifdef ENGLISH}
  SCannotDeleteIndex = 'Cannot delete index';
  {$endif}
  {$ifdef GERMAN}
  SCannotDeleteIndex = 'Index kann nicht gelscht werden';
  {$endif}

	{$ifdef ENGLISH}
  SCouldNotCloseRelation = 'Could not close relation';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotCloseRelation = 'Relation kann nicht geschlossen werden';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidEquateJoin = 'Invalid equate join';
  {$endif}
  {$ifdef GERMAN}
  SInvalidEquateJoin = 'Fehlerhafter Equate Join';
  {$endif}

	{$ifdef ENGLISH}
  SCouldNotDeleteRelation = 'Could not delete relation';
  {$endif}
  {$ifdef GERMAN}
  SCouldNotDeleteRelation = 'Relation kann nicht gelscht werden';
  {$endif}

  {$ifdef ENGLISH}
  SRelationTableNotFound = 'Relation table (*.rel) not found';
  {$endif}
  {$ifdef GERMAN}
  SRelationTableNotFound = 'Relationstabelle (*.rel) nicht gefunden';
	{$endif}

	{$ifdef ENGLISH}
	SInvalidParameter = 'One of the parameters for the SQL command is invalid';
	{$endif}
	{$ifdef GERMAN}
	SInvalidParameter = 'Einer der Parameter fr den SQL-Befehl ist ungltig';
	{$endif}

	{$ifdef ENGLISH}
  SErrorInTurboDBEngine = 'Error in TurboDB Engine';
  {$endif}
  {$ifdef GERMAN}
  SErrorInTurboDBEngine = 'Fehler in TurboDB Engine';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableHandle = 'The table handle is invalid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableHandle = 'Der Handle der Tabelle ist ungltig';
  {$endif}

  {$ifdef ENGLISH}
  SInternalError = 'Internal error';
	{$endif}
  {$ifdef GERMAN}
  SInternalError = 'Interner Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidStatementHandle = 'The statement handle is invalid';
  {$endif}
  {$ifdef GERMAN}
  SInvalidStatementHandle = 'Der Statement Handle ist ungltig';
  {$endif}

  {$ifdef ENGLISH}
  SErrorWhileReadingFromTable = 'Error while reading from table';
  {$endif}
  {$ifdef GERMAN}
  SErrorWhileReadingFromTable = 'Fehler beim Lesen aus Tabelle';
  {$endif}

  {$ifdef ENGLISH}
  SUnspecifiedError = 'Unspecified error';
  {$endif}
  {$ifdef GERMAN}
  SUnspecifiedError = 'Unspezifizierter Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SExportFailed = 'Export failed';
  {$endif}
  {$ifdef GERMAN}
  SExportFailed = 'Export fehlgeschlagen';
  {$endif}

  {$ifdef ENGLISH}
  SImportFailed = 'Import failed';
  {$endif}
  {$ifdef GERMAN}
  SImportFailed = 'Import fehlgeschlagen';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenTable = 'Cannot open table';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenTable = 'Tabelle kann nicht geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SReadError = 'Error while reading from file';
  {$endif}
  {$ifdef GERMAN}
  SReadError = 'Fehler beim Lesen aus Datei';
  {$endif}

  {$ifdef ENGLISH}
  SWriteError = 'Error while writing to file';
  {$endif}
  {$ifdef GERMAN}
  SWriteError = 'Fehler beim Schreiben in Datei';
  {$endif}

  {$ifdef ENGLISH}
  SErrorCreatingIndex = 'Error while creating index';
  {$endif}
  {$ifdef GERMAN}
  SErrorCreatingIndex =  'Fehler bei Indexerstellung';
  {$endif}

  {$ifdef ENGLISH}
  SErrorDeletingIndex = 'Error while deleting index';
  {$endif}
  {$ifdef GERMAN}
  SErrorDeletingIndex = 'Fehler bei Indexlschung';
  {$endif}

  {$ifdef ENGLISH}
  SIndexNotFound = 'Index not found';
  {$endif}
  {$ifdef GERMAN}
  SIndexNotFound = 'Index nicht vorhanden';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidCondition = 'Error in search-condition';
  {$endif}
  {$ifdef GERMAN}
  SInvalidCondition = 'Fehler in Suchbedingung';
  {$endif}

  {$ifdef ENGLISH}
  SImportError = 'Import error';
  {$endif}
  {$ifdef GERMAN}
  SImportError = 'Import-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SOutputFormatError = 'Error in output format';
  {$endif}
  {$ifdef GERMAN}
  SOutputFormatError = 'Fehler in Ausgabeformat';
  {$endif}

  {$ifdef ENGLISH}
  SClosingFileError = 'Error while closing file';
  {$endif}
  {$ifdef GERMAN}
  SClosingFileError = 'Fehler beim Schlieen der Tabelle';
  {$endif}

  {$ifdef ENGLISH}
  SIndexTooLarge = 'Index key size must not exceed 256 bytes';
  {$endif}
  {$ifdef GERMAN}
  SIndexTooLarge = 'Gre des Index-Schlssels darf 256 Bytes nicht berschreiten';
  {$endif}

  {$ifdef ENGLISH}
  SOpeningIndexError = 'Error while opening index';
  {$endif}
  {$ifdef GERMAN}
  SOpeningIndexError = 'Fehler beim ffnen des Index';
  {$endif}

  {$ifdef ENGLISH}
  SIndexNoesNotMatchError = 'Index does not match table';
  {$endif}
  {$ifdef GERMAN}
  SIndexNoesNotMatchError = 'Index pat nicht zur Tabelle';
  {$endif}

  {$ifdef ENGLISH}
  SNotADataField = 'Not a data field';
  {$endif}
  {$ifdef GERMAN}
  SNotADataField = 'Kein Datenfeld';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidSubDir = 'Invalid subdirectory';
  {$endif}
  {$ifdef GERMAN}
  SInvalidSubDir = 'Illegales Unterverzeichnis';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableLink = 'Invalid table link';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableLink = 'Illegale Tabellen-Verknpfung';
  {$endif}

  {$ifdef ENGLISH}
  SRelationHandleUsed = 'Relation handle already used';
  {$endif}
  {$ifdef GERMAN}
  SRelationHandleUsed = 'Relations-Handle wird schon benutzt';
  {$endif}

  {$ifdef ENGLISH}
  SNoFileInDir = 'No file in current directory';
  {$endif}
  {$ifdef GERMAN}
  SNoFileInDir = 'Keine Datei im aktuellen Verzeichnis';
  {$endif}

  {$ifdef ENGLISH}
  SRecNotFound = 'Record not found';
  {$endif}
  {$ifdef GERMAN}
  SRecNotFound = 'Datensatz nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SModuleNotFound = 'Module not found';
  {$endif}
  {$ifdef GERMAN}
  SModuleNotFound = 'Modul nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInHeader = 'Error in header';
  {$endif}
  {$ifdef GERMAN}
  SErrorInHeader = 'Fehler in Kopfzeile';
  {$endif}

  {$ifdef ENGLISH}
  SIndexAlreadyExists = 'Index file already exists';
  {$endif}
  {$ifdef GERMAN}
  SIndexAlreadyExists = 'Indexdatei existiert bereits';
  {$endif}

  {$ifdef ENGLISH}
  SIndexAlreadyOpen = 'Index already open';
  {$endif}
  {$ifdef GERMAN}
  SIndexAlreadyOpen = 'Index bereits geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SPrinterNotReady = 'Printer not ready';
  {$endif}
  {$ifdef GERMAN}
  SPrinterNotReady = 'Drucker nicht bereit';
  {$endif}

  {$ifdef ENGLISH}
  SSyntaxError = 'Syntax error';
  {$endif}
  {$ifdef GERMAN}
  SSyntaxError = 'Syntax-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidFileName = 'Invalid file name';
  {$endif}
  {$ifdef GERMAN}
  SInvalidFileName = 'Illegaler Dateiname';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInFooter = 'Error in footer';
  {$endif}
  {$ifdef GERMAN}
  SErrorInFooter = 'Fehler in Fuzeile';
  {$endif}

  {$ifdef ENGLISH}
  SDamagedIndexDescription = 'Index description is damaged';
  {$endif}
  {$ifdef GERMAN}
  SDamagedIndexDescription = 'Indexbeschreibung zerstrt';
  {$endif}

  {$ifdef ENGLISH}
  SWrongProgrammFileVersion = 'Wrong program file version';
  {$endif}
  {$ifdef GERMAN}
  SWrongProgrammFileVersion = 'Falsche Programmversion';
  {$endif}

  {$ifdef ENGLISH}
  SDuplicateEntry = 'Duplicate entry';
  {$endif}
  {$ifdef GERMAN}
  SDuplicateEntry = 'Doppelter Eintrag';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenMemoFile = 'Cannot open memo file';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenMemoFile = 'Memo-Datei nicht zu ffnen';
  {$endif}

  {$ifdef ENGLISH}
  SMemoNotAllowedHere = 'Memo not allowed here';
  {$endif}
  {$ifdef GERMAN}
  SMemoNotAllowedHere = 'Memo hier nicht erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SWritingMemoFileError = 'Error while writing to memo file';
  {$endif}
  {$ifdef GERMAN}
  SWritingMemoFileError = 'Fehler beim Schreiben des Memos';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalOperation = 'Illegal operation';
  {$endif}
  {$ifdef GERMAN}
  SIllegalOperation = 'Illegale Operation';
  {$endif}

  {$ifdef ENGLISH}
  STableAlreadyOpen = 'Table is already open';
  {$endif}
  {$ifdef GERMAN}
  STableAlreadyOpen = 'Tabelle ist bereits geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SFileNotFound = 'File not found or access denied';
  {$endif}
  {$ifdef GERMAN}
  SFileNotFound = 'Datei nicht gefunden oder Zugriff verweigert';
  {$endif}

  {$ifdef ENGLISH}
  SWrongKey = 'Wrong key';
  {$endif}
  {$ifdef GERMAN}
  SWrongKey = 'Falscher Code';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInIncludeFile = 'Error in include file';
  {$endif}
  {$ifdef GERMAN}
  SErrorInIncludeFile = 'Fehler in Include-Datei';
  {$endif}

  {$ifdef ENGLISH}
  SNoLinkedRecord = 'There is no linked record';
  {$endif}
  {$ifdef GERMAN}
  SNoLinkedRecord = 'Kein angekoppelter Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SIncompleteExpression = 'Expression not complete';
  {$endif}
  {$ifdef GERMAN}
  SIncompleteExpression = 'Ausdruck nicht vollstndig';
  {$endif}

  {$ifdef ENGLISH}
  SOperatorNotAllowedForOperand = 'Operator not allowed for operand';
  {$endif}
  {$ifdef GERMAN}
  SOperatorNotAllowedForOperand = 'Operator pat nicht zu Operand';
  {$endif}

  {$ifdef ENGLISH}
  SRealOverflow = 'Real overflow';
  {$endif}
  {$ifdef GERMAN}
  SRealOverflow = 'Real-berlauf';
  {$endif}

  {$ifdef ENGLISH}
  STypeMismatch = 'Type mismatch: %s';
  {$endif}
  {$ifdef GERMAN}
  STypeMismatch = 'Typen stimmen nicht berein: %s';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalCharacter = 'Invalid character %s';
  {$endif}
  {$ifdef GERMAN}
  SIllegalCharacter = 'Ungltiges Zeichen %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidNumber = '%s is not a valid number';
  {$endif}
  {$ifdef GERMAN}
  SInvalidNumber = '%s ist keine gltige Zahl';
  {$endif}

  {$ifdef ENGLISH}
  SNotUsed = 'Not used';
  {$endif}
  {$ifdef GERMAN}
  SNotUsed = 'Nicht belegt';
  {$endif}

  {$ifdef ENGLISH}
  SLogicalOperandMissing = 'Logical operand missing';
  {$endif}
  {$ifdef GERMAN}
  SLogicalOperandMissing = 'Logischer Operand fehlt';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalOperand = 'Illegal operand';
  {$endif}
  {$ifdef GERMAN}
  SIllegalOperand = 'Illegaler Operand';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownIdentifier = 'Unknown identifier: %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownIdentifier = 'Unbekannter Bezeichner: %s';
  {$endif}

  {$ifdef ENGLISH}
  SArrayVariableExpected = 'Array variable expected';
  {$endif}
  {$ifdef GERMAN}
  SArrayVariableExpected = 'Feldvariable erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownError = 'Unknown error: %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownError = 'Unbekannter Fehler: %s';
  {$endif}

  {$ifdef ENGLISH}
  STooManyVariables = 'Too many variables';
  {$endif}
  {$ifdef GERMAN}
  STooManyVariables = 'Zu viele Variablen';
  {$endif}

  {$ifdef ENGLISH}
  SEqualMissing = '''='' missing';
  {$endif}
  {$ifdef GERMAN}
  SEqualMissing = '''='' fehlt';
  {$endif}

  {$ifdef ENGLISH}
  SNumberExpected = 'Number expected';
  {$endif}
  {$ifdef GERMAN}
  SNumberExpected = 'Zahl erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SExpressionExpected = '"%s" expected';
  {$endif}
  {$ifdef GERMAN}
  SExpressionExpected = '"%s" erwartet';
  {$endif}

  {$ifdef ENGLISH}
  STableNameExpected = 'Table name expected';
  {$endif}
  {$ifdef GERMAN}
  STableNameExpected = 'Tabellenname erwartet';
  {$endif}

  {$ifdef ENGLISH}
  STooManyColumns = 'Too many table columns';
  {$endif}
  {$ifdef GERMAN}
  STooManyColumns = 'Zu viele Tabellenspalten';
  {$endif}

  {$ifdef ENGLISH}
  SExpressionTooComplex = 'Expression too complex';
  {$endif}
  {$ifdef GERMAN}
  SExpressionTooComplex = 'Ausdruck zu komplex';
  {$endif}

  {$ifdef ENGLISH}
  SNotANumberRange = 'Not a number range';
  {$endif}
  {$ifdef GERMAN}
  SNotANumberRange = 'Nur Zahlenbereiche erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInExpression = 'Error in expression';
  {$endif}
  {$ifdef GERMAN}
  SErrorInExpression = 'Fehler im Ausdruck';
  {$endif}

  {$ifdef ENGLISH}
  SNotADLTable = 'Not an ADL table';
  {$endif}
  {$ifdef GERMAN}
  SNotADLTable = 'Keine ADL-Datei';
  {$endif}

  {$ifdef ENGLISH}
  SADLTableNotFound = 'Table not found for L(NAME) or R(NAME)';
  {$endif}
  {$ifdef GERMAN}
  SADLTableNotFound = 'Datei nicht gefunden bei L(NAME) oder R(NAME)';
  {$endif}

  {$ifdef ENGLISH}
  SMoreThanEightPages = 'More than 8 pages';
  {$endif}
  {$ifdef GERMAN}
  SMoreThanEightPages = 'Nur 8 Seiten erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  STooManyIndexes = 'Number of indexes per table exceeds the maximum of 15';
  {$endif}
  {$ifdef GERMAN}
  STooManyIndexes = 'Die Anzahl der Index berschreitet das Maximum von 15';
  {$endif}

  {$ifdef ENGLISH}
  SSelectionIsEmtpy = 'Selection is empty';
  {$endif}
  {$ifdef GERMAN}
  SSelectionIsEmtpy = 'Auswahl ist leer';
  {$endif}

  {$ifdef ENGLISH}
  SMissingFormula = 'Missing formula';
  {$endif}
  {$ifdef GERMAN}
  SMissingFormula = 'Formel nicht spezifiziert';
  {$endif}

  {$ifdef ENGLISH}
  SAreaNotDefined = 'Area not defined';
  {$endif}
  {$ifdef GERMAN}
  SAreaNotDefined = 'Bereich nicht festgelegt';
  {$endif}

  {$ifdef ENGLISH}
  SDuplicateIdentifier = 'Duplicate identifier';
  {$endif}
  {$ifdef GERMAN}
  SDuplicateIdentifier = 'Bezeichner doppelt definiert';
  {$endif}

  {$ifdef ENGLISH}
  STableFileAlreadyExists = 'Table file already exists';
  {$endif}
  {$ifdef GERMAN}
  STableFileAlreadyExists = 'Tabellen-Datei existiert bereits';
  {$endif}

  {$ifdef ENGLISH}
  STooManyRelationFields = 'Too many relation fields';
  {$endif}
  {$ifdef GERMAN}
  STooManyRelationFields = 'Zu viele Relations-Felder';
  {$endif}

  {$ifdef ENGLISH}
  SUpToFifteenDigitsAllowed = 'Up to 15 digits allowed';
  {$endif}
  {$ifdef GERMAN}
  SUpToFifteenDigitsAllowed = 'Nur 15 Stellen erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SStringTooLong = 'String too long';
  {$endif}
  {$ifdef GERMAN}
  SStringTooLong = 'Zeichenkette zu lang';
  {$endif}

  {$ifdef ENGLISH}
  SMoreThanOneAutoIncField = 'More than one auto increment field';
  {$endif}
  {$ifdef GERMAN}
  SMoreThanOneAutoIncField = 'Nur ein N-Feld erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SNotEnoughPlaceholders = 'Not enough place holders';
  {$endif}
  {$ifdef GERMAN}
  SNotEnoughPlaceholders = 'Zu wenig Platzhalter';
  {$endif}

  {$ifdef ENGLISH}
  TooManyPlaceHolders = 'Too many place holders';
  {$endif}
  {$ifdef GERMAN}
  TooManyPlaceHolders = 'Zu viele Platzhalter';
  {$endif}

  {$ifdef ENGLISH}
  SRightMarginTooSmall = 'Right margin too small';
  {$endif}
  {$ifdef GERMAN}
  SRightMarginTooSmall = 'Zu wenig Platz am rechten Rand';
  {$endif}

  {$ifdef ENGLISH}
  SMoreThanOneStandardIndexes = 'More than one standard indexes';
  {$endif}
  {$ifdef GERMAN}
  SMoreThanOneStandardIndexes = 'Nur ein ID_Index erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  SRangeOverflow = 'Range overflow';
  {$endif}
  {$ifdef GERMAN}
  SRangeOverflow = 'Bereichsberlauf';
  {$endif}

  {$ifdef ENGLISH}
  SIllegalCommand = 'Illegal command';
  {$endif}
  {$ifdef GERMAN}
  SIllegalCommand = 'Illegales Kommando';
  {$endif}

  {$ifdef ENGLISH}
  SDataFieldNotFound = 'Data field not found: %s';
  {$endif}
  {$ifdef GERMAN}
  SDataFieldNotFound = 'Datenfeld nicht gefunden: %s';
  {$endif}

  {$ifdef ENGLISH}
  SNoStandardIndexDefined = 'No standard index defined';
  {$endif}
  {$ifdef GERMAN}
  SNoStandardIndexDefined = 'Kein ID-Index festgelegt';
  {$endif}

  {$ifdef ENGLISH}
  SDefinitionMissing = 'Definition missing';
  {$endif}
  {$ifdef GERMAN}
  SDefinitionMissing = 'Keine Definition';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidAreaSequence = 'Invalid area sequence';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAreaSequence = 'Illegale Textaufteilung';
  {$endif}

  {$ifdef ENGLISH}
  STableNotOpen = 'Table "%s" not open';
  {$endif}
  {$ifdef GERMAN}
  STableNotOpen = 'Tabelle "%s" nicht geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SVariableExpected = 'Variable expected';
  {$endif}
  {$ifdef GERMAN}
  SVariableExpected = 'Variable erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SErrorWritingIndex = 'Error while writing index';
  {$endif}
  {$ifdef GERMAN}
  SErrorWritingIndex = 'Fehler beim Schreiben des Index';
  {$endif}

  {$ifdef ENGLISH}
  SErrorReadingIndex = 'Error while reading index';
  {$endif}
  {$ifdef GERMAN}
  SErrorReadingIndex = 'Fehler beim Lesen des Index';
  {$endif}

  {$ifdef ENGLISH}
  SEndOfSubreportNotFound = 'End of subreport not found';
  {$endif}
  {$ifdef GERMAN}
  SEndOfSubreportNotFound = 'Ende des Unterreports nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SKeywordNotAllowed = 'Keyword not allowed in current area';
  {$endif}
  {$ifdef GERMAN}
  SKeywordNotAllowed = 'Kommando in diesem Bereich nicht erlaubt';
  {$endif}

  {$ifdef ENGLISH}
  STooManyOpenTables = 'Cannot open more than 62 tables at the same time';
  {$endif}
  {$ifdef GERMAN}
  STooManyOpenTables = 'Es knnen nicht mehr als 62 Tabellen geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SDamagedIndex = 'Index is damaged';
  {$endif}
  {$ifdef GERMAN}
  SDamagedIndex = 'Index defekt';
  {$endif}

  {$ifdef ENGLISH}
  SUntilExpected = '<until> expected';
  {$endif}
  {$ifdef GERMAN}
  SUntilExpected = '<until> erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SEndExpected = '<end> expected';
  {$endif}
  {$ifdef GERMAN}
  SEndExpected = '<end> erwartet';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidSpecifications = 'Invalid index specification "%s"';
  {$endif}
  {$ifdef GERMAN}
  SInvalidSpecifications = 'Fehlerhafte Indexdefinition "%s"';
  {$endif}

  {$ifdef ENGLISH}
  SNotEnoughMemory = 'Not enough memory';
  {$endif}
  {$ifdef GERMAN}
  SNotEnoughMemory ='Speicher reicht nicht aus';
  {$endif}

  {$ifdef ENGLISH}
  SDemoVersion = 'Too many records in demo version';
  {$endif}
  {$ifdef GERMAN}
  SDemoVersion = 'Demoversion erlaubt nicht mehr Datenstze';
  {$endif}

  {$ifdef ENGLISH}
  SLocalProceduresNotPermitted = 'Local procedures not permitted';
  {$endif}
  {$ifdef GERMAN}
  SLocalProceduresNotPermitted = 'Prozeduren drfen nicht verschachtelt werden';
  {$endif}

  {$ifdef ENGLISH}
  SEndProcMissing = '<endproc> missing';
  {$endif}
  {$ifdef GERMAN}
  SEndProcMissing = '<endproc> fehlt';
  {$endif}

  {$ifdef ENGLISH}
  STableInUse = 'Table is in use by another application';
  {$endif}
  {$ifdef GERMAN}
  STableInUse = 'Tabelle wird noch von anderen Anwendungen benutzt';
  {$endif}

  {$ifdef ENGLISH}
  SNetworkOperationCanceled = 'Network operation canceled';
  {$endif}
  {$ifdef GERMAN}
  SNetworkOperationCanceled = 'Netzoperation abgebrochen';
  {$endif}

  {$ifdef ENGLISH}
  SRecordLocked = 'Record is being edited by another user';
  {$endif}
  {$ifdef GERMAN}
  SRecordLocked = 'Datensatz wird von einem andern Benutzer editiert';
  {$endif}

  {$ifdef ENGLISH}
  SLoginError = 'Error in login';
  {$endif}
  {$ifdef GERMAN}
  SLoginError = 'Fehler beim Einloggen';
  {$endif}

  {$ifdef ENGLISH}
  SIPXInactive = 'IPX not installed';
  {$endif}
  {$ifdef GERMAN}
  SIPXInactive = 'IPX nicht aktiv';
  {$endif}

  {$ifdef ENGLISH}
  STimeout = 'Timeout';
  {$endif}
  {$ifdef GERMAN}
  STimeout = 'Timeout-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownNetworkError = 'Unknown network error';
  {$endif}
  {$ifdef GERMAN}
  SUnknownNetworkError = 'Unbekannter Fehler im Netz';
  {$endif}

  {$ifdef ENGLISH}
  SLockingError = 'Locking error';
  {$endif}
  {$ifdef GERMAN}
  SLockingError = 'Locking-Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenMemo = 'Cannot open Blob file';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenMemo = 'Blob-Datei nicht zu ffnen';
  {$endif}

  {$ifdef ENGLISH}
  SMemoDamaged = 'Memo file is damaged';
  {$endif}
  {$ifdef GERMAN}
  SMemoDamaged = 'Memo defekt';
  {$endif}

  {$ifdef ENGLISH}
  SBlobDamaged = 'Blob file is damaged';
  {$endif}
  {$ifdef GERMAN}
  SBlobDamaged = 'Blob defekt';
  {$endif}

  {$ifdef ENGLISH}
  SOperationCanceled = 'Operation canceled';
  {$endif}
  {$ifdef GERMAN}
  SOperationCanceled = 'Operation abgebrochen';
  {$endif}

  {$ifdef ENGLISH}
  SNoWriteAccess = 'No write access to file';
  {$endif}
  {$ifdef GERMAN}
  SNoWriteAccess = 'Kein Schreibrecht auf Datei';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableStructure = 'Invalid table structure';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableStructure = 'Illegale Dateistruktur';
  {$endif}

  {$ifdef ENGLISH}
  SErrorExecutingExternalProcedure = 'Fatal error while executing external procedure %s';
  {$endif}
  {$ifdef GERMAN}
  SErrorExecutingExternalProcedure = 'Fataler Fehler beim Aufruf der externen Prozedur: %s';
  {$endif}

  {$ifdef ENGLISH}
  SExternalProcedureNotFound = 'External procedure not found: %s';
  {$endif}
  {$ifdef GERMAN}
  SExternalProcedureNotFound = 'Externe Prozedur nicht gefunden: %s';
  {$endif}

  {$ifdef ENGLISH}
  SCannotInitODBC = 'Cannot inititialize ODBC';
  {$endif}
  {$ifdef GERMAN}
  SCannotInitODBC = 'ODBC konnte nicht initialisiert werden';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenODBCDatasource = 'Cannot open ODBC data source';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenODBCDatasource = 'Die ODBC-Datenquelle kann nicht geffnet werden';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInQuery = 'Error in SQL query';
  {$endif}
  {$ifdef GERMAN}
  SErrorInQuery = 'Bei der SQL-Abfrage ist ein Fehler aufgetreten';
  {$endif}

  {$ifdef ENGLISH}
  SException = 'Exception in TDB Engine';
  {$endif}
  {$ifdef GERMAN}
  SException = 'Ausnahme in Turbo Datenbank';
  {$endif}

  {$ifdef ENGLISH}
  SOldDatVersion = 'Old version of table file';
  {$endif}
  {$ifdef GERMAN}
  SOldDatVersion = 'Veraltete Version der Tabellen-Datei';
  {$endif}

  {$ifdef ENGLISH}
  SCannotAssignToConst = 'Cannot assign to constant';
  {$endif}
  {$ifdef GERMAN}
  SCannotAssignToConst = 'Einer Konstanten kann nichts zugewiesen werden';
  {$endif}

  {$ifdef ENGLISH}
  SObjectExpected = '''.'' must be preceeded by an object';
  {$endif}
  {$ifdef GERMAN}
  SObjectExpected = 'Links von . muss ein Objekt stehen';
  {$endif}

  {$ifdef ENGLISH}
  SArrayTooLarge = 'Array to large (up to 2 GB allowed)';
  {$endif}
  {$ifdef GERMAN}
  SArrayTooLarge = 'Array hat zuviele Elemente (bis zu 2 GB mglich)';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidFullTextSearch = 'Full-text search condition contains an error';
  {$endif}
  {$ifdef GERMAN}
  SInvalidFullTextSearch = 'Die Volltext-Suchbedingung enthlt einen Fehler';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownDBaseFormat = 'The version of the dBase file is unknown.';
  {$endif}
  {$ifdef GERMAN}
  SUnknownDBaseFormat = 'Die Version der dBase-Datei ist unbekannt';
  {$endif}

  {$ifdef ENGLISH}
  SSharingViolation = 'The file is in use by another user';
  {$endif}
  {$ifdef GERMAN}
  SSharingViolation = 'Die Datei wird noch von einem anderen Anwender benutzt';
  {$endif}

  {$ifdef ENGLISH}
  SCannotOpenFile = 'Cannot open file %s';
  {$endif}
  {$ifdef GERMAN}
  SCannotOpenFile = 'Kann Datei %s nicht ffnen';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownClass = 'Unknown class %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownClass = 'Unbekannte Klasse %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidObject = 'Invalid object reference';
  {$endif}
  {$ifdef GERMAN}
  SInvalidObject = 'Ungltige Objekt-Referenz';
  {$endif}

  {$ifdef ENGLISH}
  STableCorrupt = 'Table file header is corrupt';
  {$endif}
  {$ifdef GERMAN}
  STableCorrupt = 'Dateikopf der Tabelle ist beschdigt';
  {$endif}

  {$ifdef ENGLISH}
  SErrorInLibraryCall = 'Error in libarary call: %s';
  {$endif}
  {$ifdef GERMAN}
  SErrorInLibraryCall = 'Fehler beim Aufruf einer Bibliotheks-Routine: %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidMember = 'Unknown class member';
  {$endif}
  {$ifdef GERMAN}
  SInvalidMember = 'Unbekanntes Klassen-Element';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidDate = '"%s" ist not a valid date';
  {$endif}
  {$ifdef GERMAN}
  SInvalidDate = '"%s" ist kein gltiges Datum';
  {$endif}

  {$ifdef ENGLISH}
  SLangDriverNotFound = 'Language driver %s cannot be found or does not match specification';
  {$endif}
  {$ifdef GERMAN}
  SLangDriverNotFound = 'Sprachtreiber %s wurde nicht gefunden oder entspricht nicht der Spezifikation';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidAggregate = 'The argument of an aggregate must be a numeric expression';
  {$endif}
  {$ifdef GERMAN}
  SInvalidAggregate = 'Das Argument einer Aggregations-Funktion muss nummerisch sein';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTime = '"%s" is not a valid time';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTime = '"%s" ist keine gltige Zeitangabe';
  {$endif}

  {$ifdef ENGLISH}
  SNoCreatePermission = 'Permission denied to create file %s';
  {$endif}
  {$ifdef GERMAN}
  SNoCreatePermission = 'Kein Recht, Datei %s zu erstellen';
  {$endif}

  {$ifdef ENGLISH}
  SNoReadPermission = 'Permission denied to read file %s';
  {$endif}
  {$ifdef GERMAN}
  SNoReadPermission = 'Kein Recht, Datei %s zu lesen';
  {$endif}

  {$ifdef ENGLISH}
  SFieldSizeIsZero = 'Field size of field "%s" is zero';
  {$endif}
  {$ifdef GERMAN}
  SFieldSizeIsZero = 'Feld "%s" hat die Gre null';
  {$endif}

  {$ifdef ENGLISH}
  SUnknownFieldType = 'Unknown field type %s';
  {$endif}
  {$ifdef GERMAN}
  SUnknownFieldType = 'Unbekannter Feldtyp %s';
  {$endif}

  {$ifdef ENGLISH}
  SIndicationMissing = 'Indication for AutoInc field "%s" undefined';
  {$endif}
  {$ifdef GERMAN}
  SIndicationMissing = 'Auto-Nummer-Feld "%s" hat keine Anzeige';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidJoin = 'Invalid join "%s"';
  {$endif}
  {$ifdef GERMAN}
  SInvalidJoin = 'Ungltiger Verbund "%s"';
  {$endif}

  {$ifdef ENGLISH}
  SDifferentLangDriver = 'All tables within one session must use the same language driver';
  {$endif}
  {$ifdef GERMAN}
  SDifferentLangDriver = 'Alle Tabellen einer Sitzung mssen denselben Sprachtreiber benutzen';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidStrValue = '"%s" is not a valid value';
  {$endif}
  {$ifdef GERMAN}
  SInvalidStrValue = '"%s" ist kein gltiger Wert';
  {$endif}

  {$ifdef ENGLISH}
  SNoIndexPermission = 'Permission denied to create an index';
  {$endif}
  {$ifdef GERMAN}
  SNoIndexPermission = 'Kein Recht, einen Index zu erstellen';
  {$endif}

  {$ifdef ENGLISH}
  SValueListTooLong = 'Too many values in list';
  {$endif}
  {$ifdef GERMAN}
  SValueListTooLong = 'Zu viele Werte in der Liste';
  {$endif}

  {$ifdef ENGLISH}
  SSingleTableJoin = 'Equate join has exactly one table on each side of the =';
  {$endif}
  {$ifdef GERMAN}
  SSingleTableJoin = 'Equate join hat genau eine Tabelle auf jeder Seite des =';
  {$endif}

  {$ifdef ENGLISH}
  SNotDBaseCompatible = 'DBase III files unable to hold this data structure';
  {$endif}
  {$ifdef GERMAN}
  SNotDBaseCompatible = 'DBase III-Dateien knnen diese Datenstruktur nicht aufnehmen';
  {$endif}

  {$ifdef ENGLISH}
  SExternalTableError = 'External table error: %s';
  {$endif}
  {$ifdef GERMAN}
  SExternalTableError = 'Fehler in externer Tabelle: %s';
  {$endif}

{*******************************************************************************
  Components
*******************************************************************************}

  //*** TdbDataSet ***

  {$ifdef ENGLISH}
  SFieldNotFound = 'Field %s not found.';
  {$endif}
  {$ifdef GERMAN}
  SFieldNotFound = 'Feld %s nicht gefunden.';
  {$endif}

  {$ifdef ENGLISH}
  SOnlyOneconnection = 'There is already a active database connection';
  {$endif}
  {$ifdef GERMAN}
  SOnlyOneconnection = 'Es existiert bereits eine aktive Datenbankverbindung';
  {$endif}

  {$ifdef ENGLISH}
  SNoDatabaseName = '%s: Database name missing.';
  {$endif}
  {$ifdef GERMAN}
  SNoDatabaseName = '%s: Datenbankname fehlt.';
  {$endif}

  {$ifdef ENGLISH}
  STooManyDatabases = 'Cannot open more than one TurboDB databases at the same time. Please close all databases and all data sets that use the default database before you open %s.';
  {$endif}
  {$ifdef GERMAN}
  STooManyDatabases = 'Es knnen nicht mehrere TurboDB Datenbanken gleichzeitig geffnet werden. Bitte schlieen Sie alle Datenbanken und Datasets, die auf die Standard Datenbank zugreifen, bevor Sie %s ffnen.';
  {$endif}

  {$ifdef ENGLISH}
  SAlreadyConnected = 'Cannot change the database name when connected';
  {$endif}
  {$ifdef GERMAN}
  SAlreadyConnected = 'Der Name einer geffneten Datenbank kann nicht gendert werden';
  {$endif}

  {$ifdef ENGLISH}
  SEvaluatingExpression = 'Evaluating expression ''%s''';
  {$endif}
  {$ifdef GERMAN}
  SEvaluatingExpression = 'Ausdruck ''%s'' wird ausgewertet';
  {$endif}

  {$ifdef ENGLISH}
  SReadingMemo = 'Reading memo';
  {$endif}
  {$ifdef GERMAN}
  SReadingMemo = 'Memo lesen';
  {$endif}

  {$ifdef ENGLISH}
  SReadingBlob = 'Reading blob';
  {$endif}
  {$ifdef GERMAN}
  SReadingBlob = 'Blob lesen';
  {$endif}

  {$ifdef ENGLISH}
  SRetrievingEnumValue = 'Retrieving enumeration value %s';
  {$endif}
  {$ifdef GERMAN}
  SRetrievingEnumValue = 'Wert des Auwahlfeldes %s wird ermittelt';
  {$endif}

  {$ifdef ENGLISH}
  SNotALinkField = 'Field %s is not a link field.';
  {$endif}
  {$ifdef GERMAN}
  SNotALinkField = 'Feld %s ist kein Linkfeld.';
  {$endif}

  {$ifdef ENGLISH}
  SAddingRecord = 'Adding record';
  {$endif}
  {$ifdef GERMAN}
  SAddingRecord = 'Datensatz hinzufgen';
  {$endif}

  {$ifdef ENGLISH}
  SDeletingRecord = 'Deleting record';
  {$endif}
  {$ifdef GERMAN}
  SDeletingRecord = 'Datensatz lschen';
  {$endif}

  {$ifdef ENGLISH}
  SEnteringRecord = 'Entering record';
  {$endif}
  {$ifdef GERMAN}
  SEnteringRecord = 'Datensatz eingeben';
  {$endif}

  {$ifdef ENGLISH}
  SGetRecordReturns = 'GetRecord returns %d.';
  {$endif}
  {$ifdef GERMAN}
  SGetRecordReturns = 'GetRecord liefert %d.';
  {$endif}

  {$ifdef ENGLISH}
  SInsertingRecord = 'Inserting record into dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SInsertingRecord = 'Datensatz in Dataset %s einfgen';
  {$endif}

  {$ifdef ENGLISH}
  SWritingRecord = 'Writing record to dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SWritingRecord = 'Datensatz in Dataset %s schreiben';
  {$endif}

  {$ifdef ENGLISH}
  SAppendingRecord = 'Appending record to dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SAppendingRecord = 'Datensatz an Dataset %s anfgen';
  {$endif}

  {$ifdef ENGLISH}
  SEvaluatingCondition = 'Evaluating condition ''%s''';
  {$endif}
  {$ifdef GERMAN}
  SEvaluatingCondition = 'Bedingung ''%s'' auswerten';
  {$endif}

  {$ifdef ENGLISH}
  SLocating = 'Locating in dataset %s';
  {$endif}
  {$ifdef GERMAN}
  SLocating = 'Suche in Dataset %s';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidEnumValue = '''%s'' is not a valid enumeration value.';
  {$endif}
  {$ifdef GERMAN}
  SInvalidEnumValue = '''%s'' ist kein gltiger Wert des Auswahlfeldes.';
  {$endif}

  {$ifdef ENGLISH}
  SLinkTableMustBeOpen = 'Table ''%s'' must be open to edit link field.';
  {$endif}
  {$ifdef GERMAN}
  SLinkTableMustBeOpen = 'Tabelle ''%s'' muss offen sein um das Linkfeld zu editieren.';
  {$endif}

  {$ifdef ENGLISH}
  SFindingLinkedRecord = 'Finding linked record';
  {$endif}
  {$ifdef GERMAN}
  SFindingLinkedRecord = 'Suche verknpften Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SNoRecordId = 'Linked table has no record id.';
  {$endif}
  {$ifdef GERMAN}
  SNoRecordId = 'Die verknpfte Tabelle hat keine Record Id (AutoInc)';
  {$endif}

  {$ifdef ENGLISH}
  SFullTextTableClosed = 'Full text table must be defined and active for full-text filtering.';
  {$endif}
  {$ifdef GERMAN}
  SFullTextTableClosed = 'Um einen Volltextfilter zu benutzen, muss eine Volltexttabelle definiert und geffnet sein.';
  {$endif}

  {$ifdef ENGLISH}
  SFullTextTableNotLinked = 'The full text table is not linked via a relation field or its first column is not alphanumeric.';
  {$endif}
  {$ifdef GERMAN}
  SFullTextTableNotLinked = 'Entweder verfgt die Volltexttabelle ber kein Relationsfeld, oder die erste Spalte ist nicht alphanummerisch.';
  {$endif}

  {$ifdef ENGLISH}
  SSettingFilter = 'Setting filter';
  {$endif}
  {$ifdef GERMAN}
  SSettingFilter = 'Filter setzen';
  {$endif}

  {$ifdef ENGLISH}
  SSettingToRecordNo = 'Setting to record number %d';
  {$endif}
  {$ifdef GERMAN}
  SSettingToRecordNo = 'Lesen des Datensatzes Nummer %d';
  {$endif}

  {$ifdef ENGLISH}
  SRecordNotFound = 'Record %d not found';
  {$endif}
  {$ifdef GERMAN}
  SRecordNotFound = 'Datensatz %d nicht gefunden';
  {$endif}

  {$ifdef ENGLISH}
  SLinkingTables = 'Linking tables';
  {$endif}
  {$ifdef GERMAN}
  SLinkingTables = 'Tabellen verknpfen';
  {$endif}

  {$ifdef ENGLISH}
  SAlteringTable = 'Altering table %s';
  {$endif}
  {$ifdef GERMAN}
  SAlteringTable = 'Tabelle %s ndern';
  {$endif}

  {$ifdef ENGLISH}
  SApplyingIndexName = 'Applying index %s';
  {$endif}
  {$ifdef GERMAN}
  SApplyingIndexName = 'Index %s aktivieren';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidIndexName = 'The index %s does not exist.';
  {$endif}
  {$ifdef GERMAN}
  SInvalidIndexName = 'Index %s existiert nicht.';
  {$endif}

  {$ifdef ENGLISH}
  SMasterFieldsMissing = 'You need to define a value for MasterFields.';
  {$endif}
  {$ifdef GERMAN}
  SMasterFieldsMissing = 'Es muss ein Wert fr MasterField definiert werden.';
  {$endif}

  {$ifdef ENGLISH}
  SCannotLink = 'Cannot use this field type for master-detail relationship.';
  {$endif}
  {$ifdef GERMAN}
  SCannotLink = 'Dieser Feldtyp kann nicht fr eine Master-Detail Beziehung verwendet werden.';
  {$endif}

  {$ifdef ENGLISH}
  SOpeningDetailTable = 'Opening TurboDB detail table %s';
  {$endif}
  {$ifdef GERMAN}
  SOpeningDetailTable = 'ffnen der TurboDB Detailtabelle %s';
  {$endif}

  {$ifdef ENGLISH}
  SOpeningTable = 'Opening TurboDB table %s';
  {$endif}
  {$ifdef GERMAN}
  SOpeningTable = 'ffnen der TurboDB Tabelle %s';
  {$endif}

  {$ifdef ENGLISH}
  SCreatingTable = 'Creating TurboDB table %s';
  {$endif}
  {$ifdef GERMAN}
  SCreatingTable = 'Erzeugen der TurboDB Tabelle %s';
  {$endif}

  {$ifdef ENGLISH}
  SDeletingIndex = 'Deleting index %s';
  {$endif}
  {$ifdef GERMAN}
  SDeletingIndex = 'Index %s wird gelscht';
  {$endif}

  {$ifdef ENGLISH}
  SDeletingTable = 'Deleting table %s';
  {$endif}
  {$ifdef GERMAN}
  SDeletingTable = 'Tabele %s wird gelscht';
  {$endif}

  {$ifdef ENGLISH}
  SCreatingIndex = 'Creating index "%s"';
  {$endif}
  {$ifdef GERMAN}
  SCreatingIndex = 'Index "%s" wird erzeugt';
  {$endif}

  {$ifdef ENGLISH}
  SDescFieldNotValid = 'Descending fields list contains invalid field for index "%s".';
  {$endif}
  {$ifdef GERMAN}
  SDescFieldNotValid = 'Die Liste der absteigenden Feld enthlt ungltiges Feld fr Index "%s".';
  {$endif}

  {$ifdef ENGLISH}
  SEmptyingTable = 'Emptying table %s';
  {$endif}
  {$ifdef GERMAN}
  SEmptyingTable = 'Leeren der Tabelle %s';
  {$endif}

  {$ifdef ENGLISH}
  SNeedActiveIndex = 'GotoKey needs an active index.';
  {$endif}
  {$ifdef GERMAN}
  SNeedActiveIndex = 'GotoKey bentigt einen aktiven Index.';
  {$endif}

  {$ifdef ENGLISH}
  SKeySearchingRecord = 'Searching record by key';
  {$endif}
  {$ifdef GERMAN}
  SKeySearchingRecord = 'Suche Datensatz ber Index';
  {$endif}

  {$ifdef ENGLISH}
  SSearchingNearestRecord = 'Searching nearest record';
  {$endif}
  {$ifdef GERMAN}
  SSearchingNearestRecord = 'Suche den hnlichsten Datensatz';
  {$endif}

  {$ifdef ENGLISH}
  SLockingTable = 'Locking table %s';
  {$endif}
  {$ifdef GERMAN}
  SLockingTable = 'Sperre Tabelle %s';
  {$endif}

  {$ifdef ENGLISH}
  SCannotMove = 'Renaming a table cannot move it. Omit directory.';
  {$endif}
  {$ifdef GERMAN}
  SCannotMove = 'Umbenennen der Tabelle untersttzt keinen Verzeichniswechsel.';
  {$endif}

  {$ifdef ENGLISH}
  SRenamingTable = 'Renaming table %s';
  {$endif}
  {$ifdef GERMAN}
  SRenamingTable = 'Tabelle %s umbenennen';
  {$endif}

  {$ifdef ENGLISH}
  SMasterNotTdb = 'Master data set must be a TurboDB data set.';
  {$endif}
  {$ifdef GERMAN}
  SMasterNotTdb = 'Master Dataset muss ein TurboDB Dataset sein.';
  {$endif}

  {$ifdef ENGLISH}
  SDataSetCircularDataLink = 'Circular data link';
  {$endif}
  {$ifdef GERMAN}
  SDataSetCircularDataLink = 'Zirkulre Verknpfung';
  {$endif}

  {$ifdef ENGLISH}
  SInvalidTableLevel = 'Valid table levels are 1 to 3.';
  {$endif}
  {$ifdef GERMAN}
  SInvalidTableLevel = 'Gltige Tabellen Level sind 1 bis 3.';
  {$endif}

  {$ifdef ENGLISH}
  SUnlockingTable = 'Unlocking table %s';
  {$endif}
  {$ifdef GERMAN}
  SUnlockingTable = 'Tabellensperre aufheben: %s';
  {$endif}

  {$ifdef ENGLISH}
  SFullTextTableNotAssigned = 'FullTextTable must be assigned and open to create full-text index.';
  {$endif}
  {$ifdef GERMAN}
  SFullTextTableNotAssigned = 'Um einen Volltextindex zu erzeugen, muss FullTextTable zugewiesen und geffnet sein.';
  {$endif}

  {$ifdef ENGLISH}
  SUpdatingIndex = 'Updating index %s';
  {$endif}
  {$ifdef GERMAN}
  SUpdatingIndex = 'Update Index %s';
  {$endif}


  //*** TdbQuery ***
  {$ifdef ENGLISH}
  SOpeningQuery = 'Opening TurboDB query';
  {$endif}
  {$ifdef GERMAN}
  SOpeningQuery = 'TurboDB Query wird geffnet';
  {$endif}

  {$ifdef ENGLISH}
  SEmptySQLStatement = 'No SQL statement available';
  {$endif}
  {$ifdef GERMAN}
  SEmptySQLStatement = 'SQL Statement fehlt';
  {$endif}

  {$ifdef ENGLISH}
  SPreparingQuery = 'Preparing SQL statement';
  {$endif}
  {$ifdef GERMAN}
  SPreparingQuery = 'Vorbereiten des SQL Statements';
  {$endif}

  {$ifdef ENGLISH}
  SQueryCircularDataLink = 'DataSource property of query %s refers to a data source that is itself linked to %s';
  {$endif}
  {$ifdef GERMAN}
  SQueryCircularDataLink = 'Die Eigenschaft DataSource der Query %s bezieht sich auf eine Datenquelle, die selbst mit %s verknpft ist';
  {$endif}


implementation


end.
